<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/GE_ILLIGALSGA.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">GE_ILLIGALSGA.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &quot;<a class="el" href="_g_e_grammar_8h_source.html">GEGrammar.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for GE_ILLIGALSGA.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp__incl.png" border="0" usemap="#src_2_g_e___i_l_l_i_g_a_l_s_g_a_8cpp" alt=""/></div>
<!-- MAP 0 -->
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structindividual.html">individual</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:acbe901230e7aaad3cc098e346445825b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#acbe901230e7aaad3cc098e346445825b">_GE_ILLIGALSGA_CPP_</a></td></tr>
<tr class="separator:acbe901230e7aaad3cc098e346445825b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a369ecd38b3ab077fc235f892354bb46f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a369ecd38b3ab077fc235f892354bb46f">BITS_PER_BYTE</a>&#160;&#160;&#160;8</td></tr>
<tr class="separator:a369ecd38b3ab077fc235f892354bb46f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9e6abc18d1e0aeb6b8f7c2e33272ce7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#ab9e6abc18d1e0aeb6b8f7c2e33272ce7">UINTSIZE</a>&#160;&#160;&#160;(<a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a369ecd38b3ab077fc235f892354bb46f">BITS_PER_BYTE</a>*sizeof(unsigned))</td></tr>
<tr class="separator:ab9e6abc18d1e0aeb6b8f7c2e33272ce7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7c856e51bc5a0c3d8a356f94f6bbef5c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a7c856e51bc5a0c3d8a356f94f6bbef5c">GE_ILLIGALSGA_getGenotype</a> (int **c_genotype)</td></tr>
<tr class="separator:a7c856e51bc5a0c3d8a356f94f6bbef5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f8b31156afd29cb481cdfe179d04c7a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a7f8b31156afd29cb481cdfe179d04c7a">GE_ILLIGALSGA_getPhenotype</a> (char **c_phenotype)</td></tr>
<tr class="separator:a7f8b31156afd29cb481cdfe179d04c7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a031a102f2ec6740f5faf81f21503bc55"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a031a102f2ec6740f5faf81f21503bc55">GE_ILLIGALSGA_validPhenotype</a> ()</td></tr>
<tr class="separator:a031a102f2ec6740f5faf81f21503bc55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a397ac23ae2b1abca6d258a891b39e5da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a397ac23ae2b1abca6d258a891b39e5da">GE_ILLIGALSGA_setMaxWraps</a> (int wraps)</td></tr>
<tr class="separator:a397ac23ae2b1abca6d258a891b39e5da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a784f4fec33c1e1dd1d0edcf1aae7106a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a784f4fec33c1e1dd1d0edcf1aae7106a">GE_ILLIGALSGA_readBNFFile</a> (char *filename)</td></tr>
<tr class="separator:a784f4fec33c1e1dd1d0edcf1aae7106a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae37e6f5fd69f69534cf2a794924f1183"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#ae37e6f5fd69f69534cf2a794924f1183">GE_ILLIGALSGA_readBNFString</a> (char *str)</td></tr>
<tr class="separator:ae37e6f5fd69f69534cf2a794924f1183"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd6ddae7cac69af6a0a042b6e05394e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a1bd6ddae7cac69af6a0a042b6e05394e">GE_ILLIGALSGA_outputBNF</a> ()</td></tr>
<tr class="separator:a1bd6ddae7cac69af6a0a042b6e05394e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db0c4a0c6a623c88546d1f9c1d8d217"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a1db0c4a0c6a623c88546d1f9c1d8d217">GE_ILLIGALSGA_translate</a> (unsigned *chrom, int lchrom, int *string, int widthpos, int widthval, int range)</td></tr>
<tr class="separator:a1db0c4a0c6a623c88546d1f9c1d8d217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9a298a00ca2c4bd428ea6caa2ea4df3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#ab9a298a00ca2c4bd428ea6caa2ea4df3">GE_ILLIGALSGA_Mapper</a> (struct <a class="el" href="structindividual.html">individual</a> *critter, int lchrom, int bpg)</td></tr>
<tr class="separator:ab9a298a00ca2c4bd428ea6caa2ea4df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="acbe901230e7aaad3cc098e346445825b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbe901230e7aaad3cc098e346445825b">&#9670;&nbsp;</a></span>_GE_ILLIGALSGA_CPP_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define _GE_ILLIGALSGA_CPP_</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a369ecd38b3ab077fc235f892354bb46f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a369ecd38b3ab077fc235f892354bb46f">&#9670;&nbsp;</a></span>BITS_PER_BYTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BITS_PER_BYTE&#160;&#160;&#160;8</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9e6abc18d1e0aeb6b8f7c2e33272ce7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9e6abc18d1e0aeb6b8f7c2e33272ce7">&#9670;&nbsp;</a></span>UINTSIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UINTSIZE&#160;&#160;&#160;(<a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html#a369ecd38b3ab077fc235f892354bb46f">BITS_PER_BYTE</a>*sizeof(unsigned))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a7c856e51bc5a0c3d8a356f94f6bbef5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c856e51bc5a0c3d8a356f94f6bbef5c">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_getGenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_getGenotype </td>
          <td>(</td>
          <td class="paramtype">int **&#160;</td>
          <td class="paramname"><em>c_genotype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f8b31156afd29cb481cdfe179d04c7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f8b31156afd29cb481cdfe179d04c7a">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_getPhenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_getPhenotype </td>
          <td>(</td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>c_phenotype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab9a298a00ca2c4bd428ea6caa2ea4df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9a298a00ca2c4bd428ea6caa2ea4df3">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_Mapper()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GE_ILLIGALSGA_Mapper </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structindividual.html">individual</a> *&#160;</td>
          <td class="paramname"><em>critter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>lchrom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>bpg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1bd6ddae7cac69af6a0a042b6e05394e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bd6ddae7cac69af6a0a042b6e05394e">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_outputBNF()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GE_ILLIGALSGA_outputBNF </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a784f4fec33c1e1dd1d0edcf1aae7106a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a784f4fec33c1e1dd1d0edcf1aae7106a">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_readBNFFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_readBNFFile </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae37e6f5fd69f69534cf2a794924f1183"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae37e6f5fd69f69534cf2a794924f1183">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_readBNFString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_readBNFString </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a397ac23ae2b1abca6d258a891b39e5da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a397ac23ae2b1abca6d258a891b39e5da">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_setMaxWraps()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GE_ILLIGALSGA_setMaxWraps </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>wraps</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1db0c4a0c6a623c88546d1f9c1d8d217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1db0c4a0c6a623c88546d1f9c1d8d217">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_translate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_translate </td>
          <td>(</td>
          <td class="paramtype">unsigned *&#160;</td>
          <td class="paramname"><em>chrom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>lchrom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>string</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>widthpos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>widthval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>range</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a031a102f2ec6740f5faf81f21503bc55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a031a102f2ec6740f5faf81f21503bc55">&#9670;&nbsp;</a></span>GE_ILLIGALSGA_validPhenotype()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int GE_ILLIGALSGA_validPhenotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
